HVideoConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HVideoConfiguration

    java.lang.Object
      org.havi.ui.HScreenConfiguration
          org.havi.ui.HVideoConfiguration

    public class HVideoConfiguration

extends HScreenConfiguration

The `HVideoConfiguration` class describes the characteristics (settings) of an `HVideoDevice`. There can be many `HVideoConfiguration` objects associated with a single `HVideoDevice`.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  `HVideoDevice`

Method Summary
`HVideoConfigTemplate` | `getConfigTemplate()` Returns an `HVideoConfigTemplate` object that describes and uniquely identifies this `HVideoConfiguration`.
`HVideoDevice` | `getDevice()` Returns the `HVideoDevice` associated with this `HVideoConfiguration`.

Methods inherited from class org.havi.ui.HScreenConfiguration
`convertTo, getFlickerFilter, getInterlaced, getOffset, getPixelAspectRatio, getPixelResolution, getScreenArea`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDevice

    public HVideoDevice getDevice()

  Returns the `HVideoDevice` associated with this `HVideoConfiguration`.

  Returns:
    the `HVideoDevice` object that is associated with this `HVideoConfiguration`,

### getConfigTemplate

    public HVideoConfigTemplate getConfigTemplate()

  Returns an `HVideoConfigTemplate` object that describes and uniquely identifies this `HVideoConfiguration`.

  Hence, the following sequence should return the original `HVideoConfiguration`.

       HVideoDevice.getBestMatch(HVideoConfiguration.getConfigTemplate())

  Features that are implemented in the `HVideoConfiguration` will return `HScreenConfigTemplate.REQUIRED` priority. Features that are not implemented in the `HVideoConfiguration` will return `HScreenConfigTemplate.REQUIRED_NOT` priority. Preferences that are not filled in by the platform will return `HScreenConfigTemplate.DONT_CARE` priority.

  Returns:
    an `HVideoConfigTemplate` object which both describes and uniquely identifies this `HVideoConfiguration`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD